
%define _target_cpu	i586

%define	cpm_l_version	1.0
%define	cpm_l_dirs	1

%define	summary	CP/M for Linux - Basics
%define	copy	GPL
%define	name	cpm4l-base
%define	version	0.2
%define	release	20050323

%if %{cpm_l_dirs}
%define	_sysmandir	%{_mandir}
%define	_sysinfodir	%{_infodir}
%define	_sysetcdir	%{_sysconfdir}

%define	_prefix		/opt/cpm4l
%define	_libexecdir	%{_prefix}/libexec
%define	_datadir	%{_prefix}/share
%define	_sysconfdir	%{_prefix}/etc
%define	_localstatedir	%{_prefix}/var/lib
%define	_mandir		%{_prefix}/man
%define	_infodir	%{_prefix}/info
%define	_docdir		%{_prefix}/doc
%endif

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	%{copy}
Distribution:	LiPronix
Vendor:		Li-Pro.Net
Packager:	Stephan Linz <linz@li-pro.net>
URL:		http://www.li-pro.net/cpm4l
Group:		Development/CPM4L
Icon:		cpm4l.xpm
ExclusiveOS:	linux
#Requires:	??? >= ???
#Conflicts:	??? <= ???
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	cpm4l-%{version}.tar.bz2

%description
CPM4L stands for CP/M for Linux and should you support with a comprehensive
tool suite of programs and utilities to access old CP/M discs, emulate
old CP/M software, and cross compile / assemble new CP/M software. The main
focuse will be at CP/M 2.2 for Z80 processors and some usage with Robotron
related material.

What's Robotron? Oh, I believe ther will be only few people who know it.
Robotron was the main computer company inside of the "good old" GdR.

Til now there are the following packages available:

   * Floppy Disc access:
      * cpm4l-fdutils
      * cpm4l-cpmtools

   * Assembler, Disassembler, Object File Operator:
      * cpm4l-z80-asm

   * Compiler, Interpreter:
      * cpm4l-hitech-c80		(perhaps)
      * cpm4l-bds-c			(perhaps)

   * Debugger, Simulator, Emulator:
      * cpm4l-yaze



Basics is needed every time you will use any CPM4L package.

%prep
%setup -q -n cpm4l-%{version}

%build
CFLAGS="${RPM_OPT_FLAGS}" CXXFLAGS="${RPM_OPT_FLAGS}"
%configure
%make all

%install
rm -rf $RPM_BUILD_ROOT
%make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
#!/bin/sh
%if %{cpm_l_dirs}
[ -d /etc/profile.d ] || mkdir -p /etc/profile.d
ln -sf %{_prefix}/etc/profile.d/cpm4l.csh /etc/profile.d/cpm4l.csh
ln -sf %{_prefix}/etc/profile.d/cpm4l.sh /etc/profile.d/cpm4l.sh
%endif

echo
echo "***************************************************************"
echo "***************************************************************"
echo "***                                                         ***"
echo "***  ! ! !   R E - L O G I N   T O   R E F R E S H   ! ! !  ***"
echo "***  ! ! !     Y O U R   E N V I R O N M E N T       ! ! !  ***"
echo "***                                                         ***"
echo "***                                                         ***"
echo "***  (CDK4L %{cpm_l_version} hint message)                               ***"
echo "***  (C) 2002-2005, Stephan Linz <linz@li-pro.net>          ***"
echo "***                                                         ***"
echo "***************************************************************"
echo "***************************************************************"
echo
echo

%preun
#!/bin/sh
%if %{cpm_l_dirs}
if [ $1 -eq 0 ]; then
  rm -f /etc/profile.d/cpm4l.csh
  rm -f /etc/profile.d/cpm4l.sh
fi
#
#
# FIXME: erase /etc/profile.d if empty
#
%endif

echo
echo "***************************************************************"
echo "***************************************************************"
echo "***                                                         ***"
echo "***  ! ! !   R E - L O G I N   T O   R E F R E S H   ! ! !  ***"
echo "***  ! ! !     Y O U R   E N V I R O N M E N T       ! ! !  ***"
echo "***                                                         ***"
echo "***                                                         ***"
echo "***  (CDK4L %{cpm_l_version} hint message)                               ***"
echo "***  (C) 2002-2005, Stephan Linz <linz@li-pro.net>          ***"
echo "***                                                         ***"
echo "***************************************************************"
echo "***************************************************************"
echo
echo

%files
%defattr(-,root,root)
%{_sysconfdir}
%{_datadir}
%dir %{_mandir}
%doc %{_mandir}/man7

%changelog
* Wed Mar 23 2005 Stephan Linz <linz@li-pro.net> 0.2-20050323
- version upgrade to 0.2
- RPM review

* Sun Sep 22 2002 Stephan Linz <linz@li-pro.net>
- automatic rebuild
- initial version from CDK4ARM
